Testing notifications
CE API provides an endpoint that can be used by app developers so that they can test how the app behaves when a specific notification is triggered.
The Test call to send notifications. can be used to trigger a notification of the provided code for the user for which the token in the authentication is relevant for:
POST /v2/notification/dispatch
Authorization: Bearer <access_token>
The body of the request can contain either the code of the notification only like in the example below:
{
"code": "M039"
}or the attributes relevant to the notification as well, like:
{
"code": "PL001",
"gateway_eui": "mock1",
"external_installation_id": "mock2",
"attributes": {
"threshold": "2",
"capacity_peak_threshold": "4000",
"testKey2": "testValue2"
}
}
The notifications that will be triggered will be dispatched in all eligible channels and devices if user consent has been given
Updated 10 months ago
What’s Next
Did this page help you?
